Subject: Re: [PATCH 0/2] Fix register misuse in drivers/net/phy/marvel.c

From: Wang Jian <[email-masked]>
Date: Thu, 10 Jul 2008 22:32:31 +0800

Welch, Martyn (GE EntSol, Intelligent Platforms) 写道:
> Wang Jian wrote:
>> It may not be appropriate to post here instead of netdev, but I am
>> using 
>> powerpc dev board and I think there will be someone here who has board
>> to test.
>>
>> Wang Jian 写道:
>>> These 2 patches fixed misuse of register for 88e1111.
>>>
>>> Notice: These two patches didn't fix some auto selection problem
>>> yet. I will discuss the problem in seperate email.
>>>
> 
> Hi,
> 
> I have a board here with a pair of 88e1111's, though I'm not sure how to go about testing these patches. It's not the applying or compiling that the problem, but how to test it...
> 
> Do you have any test case in mind?
> 

Hi,

The problem I want to fix is:

1. Plug the fiber and start the board in u-boot, the fiber link is 
established, you can transfer data using fiber link;

2. boot the kernel (not fixed one),  when you "ifconfig ethX up" (ethX 
uses 88e1111), the fiber link light goes off, the fiber link is lost;

After apply the patch #1, for the step 2, you can "ifconfig ethX 
w.x.y.z" and fiber link is ok. You can use the fiber link to transfer data.

I my case, the chip is in GMII mode. The patch #2 is obvious but I can't 
test it myself.

BTW, the two patches doesn't fix the problem when you unplug the fiber 
then plug back. That is another problem I have _partially_ fixed by 
patch marvell_read_status().